﻿using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 샘플 서비스
    /// </summary>
    [ServiceContract]
    public interface ISampleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 일방향 작업하기 - OneWayOperation()

        /// <summary>
        /// 일방향 작업하기
        /// </summary>
        /// <returns>메시지</returns>
        [OperationContract(IsOneWay=true)]
        void OneWayOperation();

        #endregion
        #region 일방향 작업하기 (예외 발생) - OneWayOperationThrowsException();

        /// <summary>
        /// 일방향 작업하기 (예외 발생)
        /// </summary>
        /// <returns>메시지</returns>
        [OperationContract(IsOneWay = true)]
        void OneWayOperationThrowsException();

        #endregion
    }
}