﻿using System;
using System.Threading;

namespace TestServer
{
    /// <summary>
    /// 샘플 서비스
    /// </summary>
    public class SampleService : ISampleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 일방향 작업하기 - OneWayOperation()

        /// <summary>
        /// 일방향 작업하기
        /// </summary>
        /// <returns>메시지</returns>
        public void OneWayOperation()
        {
            Thread.Sleep(2000);
        }

        #endregion
        #region 일방향 작업하기 (예외 발생) - OneWayOperationThrowsException();

        /// <summary>
        /// 일방향 작업하기 (예외 발생)
        /// </summary>
        /// <returns>메시지</returns>
        public void OneWayOperationThrowsException()
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}